body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: #f4f4f4;
    color: #333;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

.header {
    background: #ff0000;
    color: #fff;
    padding: 20px 0;
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

.header h1 {
    margin: 0;
    font-weight: 700;
}

.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
}

.hamburger span {
  height: 3px;
  width: 25px;
  background: white;
  margin: 4px 0;
}

nav {
  display: flex;
  justify-content: space-between; 
  align-items: center; 
  padding: 10px 20px;
  background-color: #ff0000; 
} 

.el-yazisi {
  font-family: 'Dancing Script', cursive;
}


/* Sol logo için stil */
.logo-left img {
  width: 100px; /* Sol logo boyutunu ayarlayın */
  height: auto;
}

/* Sağ logo için stil */
.logo-right img {
  width: 100px; /* Sağ logo boyutunu ayarlayın */
  height: auto;
}


nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
}

nav ul li {
    display: inline;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: 400;
}

main {
    padding: 20px 0;
}

section {
    padding: 40px 0;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    animation: fadeInUp 1s ease-in-out;
}

section h2 {
    margin-top: 0;
    font-weight: 700;
    text-align: center;
}

.about-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.about-text {
    flex: 1;
    min-width: 300px;
}

.about-photo {
    flex: 1;
    min-width: 300px;
    text-align: center;
}

.about-photo img {
    max-width: 80%;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.services .service-item {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.services .service-item.reverse {
    flex-direction: row-reverse;
}

.services .service-text {
    flex: 1;
    min-width: 300px;
}

.services .service-photo {
    flex: 1;
    min-width: 300px;
    text-align: center;
}

.services .service-photo img {
    max-width: 60%;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.gallery-grid {
    display: flex;
    gap: 10px;
    justify-content: center;
}

.gallery-grid img {
    width: 30%;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.gallery-grid img:hover {
    transform: scale(1.05);
}

.blog-posts {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.blog-card {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    max-width: 300px;
    flex: 1 1 300px;
}

.blog-card-content {
    padding: 20px;
    text-align: center;
}

.blog-card-content h3 {
    margin-top: 0;
}

.blog-card-content p {
    font-weight: 300;
}

.blog-card-content .btn {
    display: inline-block;
    padding: 10px 20px;
    background: #ff0000;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background 0.3s ease;
}

.blog-card-content .btn:hover {
    background: #feb47b;
}

.videos {
    text-align: center;
}

.video-slider {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.video-container {
    display: flex;
    transition: transform 0.5s ease;
}

.video-slide {
    min-width: 100%;
    box-sizing: border-box;
}

.slider-btn {
    background-color: #ff0000;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 50%;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.left-btn {
    left: 10px;
}

.right-btn {
    right: 10px;
}

.contact p {
    text-align: center;
}

.contact a {
    color: #ff0000;
    text-decoration: none;
    font-weight: 400;
}

.map {
    text-align: center;
    margin-top: 20px;
}

.footer {
    background: #ff0000;
    color: #fff;
    text-align: center;
    padding: 20px 0;
}

.social-media {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 10px;
}

.social-icon {
    display: inline-block;
    width: 40px;
    height: 40px;
}

.social-icon img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: transform 0.3s ease;
}

.social-icon img:hover {
    transform: scale(1.1);
}

html {
    scroll-behavior: smooth; /* Bu özellik, sayfada bir bağlantıya tıklanarak kaydırma yapıldığında yumuşak geçiş sağlar */
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.photo-container {
    position: relative;
    width: 100%;
    height: 600px; /* İstediğin yüksekliği verirsin */
    overflow: hidden;
  }
  
  .photo-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .color-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(270deg, rgba(0, 255, 255, 0.2), rgba(255, 0, 255, 0.2), rgba(255, 255, 0, 0.2));
    background-size: 600% 600%;
    animation: gradientAnimation 10s ease infinite;
    pointer-events: none; /* üstteki div tıklamayı engellemesin */
  }
  
  @keyframes gradientAnimation {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
  }

  .centered-content {
    position: relative;
    width: 100%;
    height: 60vh; /* Sayfa yüksekliği kadar */
    overflow: hidden;
  }
  
  .content-wrapper {
    position: absolute;
    left: 50%;
    transform: translateX(-50%); /* Yatayda ortalıyoruz */
    color: white;
    font-family: 'Roboto', sans-serif; /* Modern font */
    font-size: 24px;
    line-height: 1.6;
    text-align: left;
    padding: 10px; /* Yazıya boşluk bırakıyoruz */
    background-color: rgba(11, 10, 10, 0.8); /* Arka planı karartarak yazıyı okunabilir yapıyoruz */
    width: 70%; /* İçeriğin genişliğini sınırlıyoruz */
    margin:0;
  }
  
  h2 {
    font-size: 28px; /* Başlık boyutunu büyütüyoruz */
    font-weight: 700;
    margin-bottom: 20px;
  }
  
  p {
    margin: 5px 0;
    font-size: 18px;
  }
  

 
  .content {
    position: absolute;
    top: 50%;
    left: 0; /* Sayfanın solunda */
    transform: translateY(-50%); /* Dikeyde ortalama */
    color: rgb(252, 251, 251);
    text-align: left; /* Yazılar sola hizalı */
    z-index: 2;
    width: 30%; /* İstersen genişlik verebiliriz, genelde sağda biraz alan bırakılır */

     /* Font stili */
  font-family: 'Roboto', sans-serif; /* Modern ve estetik bir font */
  font-size: 16px; /* Yazı boyutunu büyütüyoruz */
  font-weight: 400; /* Kalın yazı */
  line-height: 1.6; /* Satır aralığını arttırıyoruz */
  letter-spacing: 1px; /* Harfler arasındaki mesafeyi arttırıyoruz */
  
  /* Gölgeleme ve efektler */
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3); /* Hafif gölge efekti */
  }
  
  
    
  .gradient-mask-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
  }
  
  .gradient-image {
    width: 100%;
    height: 90%;
    object-fit: cover;
    display: block;
  }
  
  /* Parlaklık efekti */
  .light-effect {
    position: absolute;
    top: 0;
    left: -50%;
    width: 50%;
    height: 100%;
    background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 50%, rgba(255,255,255,0) 100%);
    animation: moveLight 3s ease-in-out infinite;
    pointer-events: none;
  }
  
  /* Parlaklık animasyonu */
  @keyframes moveLight {
    0% {
      left: -50%;
    }
    100% {
      left: 100%;
    }
  }
/* Mobil Menüyü Gizle */
/* @media (max-width: 768px) {
  header nav {
    display: none;
    flex-direction: column;
    background: #333;
    width: 100%;
    position: absolute;
    top: 60px;
    left: 0;
    padding: 10px 0;
  }

  header nav.active {
    display: flex;
  }

} */

/* Ana Görsel ve İçeriği */
.gradient-mask-container {
  position: relative;
  width: 100%;
  height: auto;
  margin-top: 80px; /* Navbar üstünde olduğu için boşluk bıraktık */
  overflow: hidden;
}

.gradient-image {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
}

.content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ffffff;
  background: rgba(0, 0, 0, 0.5);
  padding: 20px;
  border-radius: 10px;
  max-width: 600px;
  width: 90%;
  text-align: center;
  font-size: 1rem;
  line-height: 1.6;
}

/* Küçük ekranlarda içerik ayarı */
@media (max-width: 768px) {
  .content {
    font-size: 0.9rem;
    padding: 15px;
    width: 90%;
  }
}

/* Yaklaşımım Bölümü */
.centered-content {
  padding: 60px 20px;
  background: #ffffff;
  text-align: center;
}

.content-wrapper {
  max-width: 900px;
  margin: 0 auto;
  background: rgba(0,0,0,0.05);
  padding: 30px;
  border-radius: 10px;
}

.content-wrapper h2 {
  font-size: 2rem;
  margin-bottom: 20px;
}

.content-wrapper p {
  font-size: 1.1rem;
  line-height: 1.7;
  text-align: left;
}

/* Küçük ekranlar için yazı ayarları */
@media (max-width: 768px) {
  .content-wrapper {
    padding: 20px;
  }

  .content-wrapper h2 {
    font-size: 1.5rem;
  }

  .content-wrapper p {
    font-size: 1rem;
  }
}
  


@media (max-width: 600px) {
  .gallery-grid img {
    width: 100%;
  }

  .blog-posts {
    flex-direction: column;
    align-items: center;
  }

  .blog-card {
    max-width: 90%;
  }
}
.dark-section {
  background-color: #f75b5b; /* koyu gri */
  color: #ffffff; /* metin beyaz */
}

/* Mobil görünüm için menüyü gizle ve hamburger menüyü göster */
@media (max-width: 768px) {
  nav ul {
    display: none;
    flex-direction: column;
    background-color: #ff0000;
    position: absolute;
    top: 80px; /* header yüksekliğine göre ayarlayın */
    right: 20px;
    width: 200px;
    padding: 10px;
    border-radius: 10px;
    z-index: 1001;
  }

  nav ul.active {
    display: flex;
  }

  .hamburger {
    display: flex;
  }

  .logo-left, .logo-right {
    display: block;
    text-align: center;
  }

  .header {
    flex-direction: column;
    align-items: flex-start;
  }

  nav {
    width: 100%;
    justify-content: space-between;
  }
}
